## ndisgtk 0.5

=== Makefile ===
BIN = $(DESTDIR)/usr/bin
SUPPORT = $(DESTDIR)/usr/share/ndisgtk
MENU = $(DESTDIR)/usr/share/applications

default:

install:
	install -d $(BIN) $(SUPPORT) $(MENU)
	install ./ndisgtk $(BIN)
	install -m644 ndisgtk.png $(SUPPORT)
	install -m644 ndisgtk.glade $(SUPPORT)
	install -m644 ndisgtk.desktop $(MENU)

clean:

## ndisgtk 0.6

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,10 @@
 BIN = $(DESTDIR)/usr/bin
 SUPPORT = $(DESTDIR)/usr/share/ndisgtk
 MENU = $(DESTDIR)/usr/share/applications
+LOCALEDIR = $(DESTDIR)/usr/share/locale
 
 default:
+	$(MAKE) -C po
 
 install:
 	install -d $(BIN) $(SUPPORT) $(MENU)
@@ -11,5 +13,7 @@
 	install -m644 ndisgtk.glade $(SUPPORT)
 	install -m644 ndisgtk.desktop $(MENU)
 
+	$(MAKE) -C po install LOCALEDIR=$(LOCALEDIR)
+
 clean:
-
+	$(MAKE) -C po clean

=== po/Makefile ===
POFILES=fr.po
MOFILES=$(POFILES:.po=.mo)
MSGFMT=msgfmt

default: $(MOFILES)

install: $(MOFILES)
	for mofile in $(MOFILES); do \
	  dirname=`basename $$mofile .mo`; \
	  if test ! -d $(LOCALEDIR)/$$dirname/LC_MESSAGES/; then \
	    mkdir -p $(LOCALEDIR)/$$dirname/LC_MESSAGES; \
	  fi; \
	  install -m644 $$mofile $(LOCALEDIR)/$$dirname/LC_MESSAGES/; \
	done

clean:
	rm -f $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

## ndisgtk 0.7.2

=== Makefile ===
BIN = $(DESTDIR)/usr/sbin
SUPPORT = $(DESTDIR)/usr/share/ndisgtk
ICONS = $(DESTDIR)/usr/share/icons
PIXMAPS = $(DESTDIR)/usr/share/pixmaps
MENU = $(DESTDIR)/usr/share/applications
LOCALEDIR = $(DESTDIR)/usr/share/locale

default:
	$(MAKE) -C po

install:
	install -d $(BIN) $(SUPPORT) $(MENU) $(ICONS) $(PIXMAPS)
	install ./ndisgtk $(BIN)
	install -m644 ndisgtk.png $(ICONS)
	install -m644 ndisgtk.xpm $(PIXMAPS)
	install -m644 ndisgtk.glade $(SUPPORT)
	install -m644 ndisgtk.desktop $(MENU)
	install -m644 ndisgtk-kde.desktop $(MENU)

	$(MAKE) -C po install LOCALEDIR=$(LOCALEDIR)

clean:
	$(MAKE) -C po clean

=== po/Makefile ===
POFILES=fr.po de.po
MOFILES=$(POFILES:.po=.mo)
MSGFMT=msgfmt

default: $(MOFILES)

install: $(MOFILES)
	for mofile in $(MOFILES); do \
	  dirname=`basename $$mofile .mo`; \
	  install -D -m644 $$mofile $(LOCALEDIR)/$$dirname/LC_MESSAGES/ndisgtk.mo; \
	done

clean:
	rm -f $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	$(MSGFMT) -o $@ $<

update:
	@cd .. && \
		xgettext -L python  ndisgtk  -o -  > po/messages.pot.new && \
		echo >> po/messages.pot.new && \
		xgettext  ndisgtk.glade  --omit-header -o - >> po/messages.pot.new

	for po in $(POFILES) messages.pot; do \
		msgmerge -U $$po messages.pot.new || exit 1; \
	done
	rm messages.pot.new

## ndisgtk 0.8.5

=== Makefile ===
BIN = $(DESTDIR)/usr/sbin
SUPPORT = $(DESTDIR)/usr/share/ndisgtk
ICONS = $(DESTDIR)/usr/share/icons/hicolor/48x48/apps
PIXMAPS = $(DESTDIR)/usr/share/pixmaps
MENU = $(DESTDIR)/usr/share/applications
LOCALEDIR = $(DESTDIR)/usr/share/locale
INPUT_FILES = $(wildcard *.in)


all: $(INPUT_FILES:.in=)
	$(MAKE) -C po

install: all
	install -d $(BIN) $(SUPPORT) $(MENU) $(ICONS) $(PIXMAPS)
	install ./ndisgtk $(BIN)
	install -m644 ndisgtk.png $(ICONS)
	install -m644 ndisgtk-error.png $(ICONS)
	install -m644 ndisgtk.xpm $(PIXMAPS)
	install -m644 ndisgtk.glade $(SUPPORT)
	install -m644 ndisgtk.desktop $(MENU)
	install -m644 ndisgtk-kde.desktop $(MENU)
	$(MAKE) -C po install LOCALEDIR=$(LOCALEDIR)

clean:
	$(MAKE) -C po clean
	rm -f $(INPUT_FILES:.in=)

.SUFFIXES: .in
.in:
	intltool-merge -d po $< $@

=== po/Makefile ===
#
# Makefile for po/
# Copyright (C) 2007 Julian Andres Klode

POFILES    := $(wildcard *.po)
MOFILES    := $(POFILES:.po=.mo)
LINGUAS    := $(POFILES:.po=)
LOCALEDIR  := $(DESTDIR)/usr/share/locale
DOMAIN      = ndisgtk
top_srcdir  =..



all: $(MOFILES)

install: $(MOFILES)
	for locale in $(LINGUAS); do \
		install -D -m644 $$locale.mo $(LOCALEDIR)/$$locale/LC_MESSAGES/$(DOMAIN).mo || exit 1; \
	done

update:
	intltool-update -g $(DOMAIN) -r

clean:
	rm -f $(MOFILES)

.SUFFIXES: .po .mo

.po.mo:
	msgfmt -o $@ $<

=== debian/changelog ===
ndisgtk (0.8.5-1ubuntu1) raring; urgency=low

  * Port to python3
  * Port to pygi
  * Port to GtkBuilder
  * Port to dh9
  * Bump policy to 3.9.3

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Thu, 08 Nov 2012 12:13:32 +0000

ndisgtk (0.8.5-1) unstable; urgency=low

  * New upstream release
    - Add X-Ubuntu-Gettext-Domain to the desktop files (LP: #331852)
    - Ignore modprobe warnings about missing .conf in filenames (LP: #498369)
    - Support NetworkManager 0.7 (LP: #500541)
  * Packaging updates:
    - Policy 3.8.4.0
    - Update my e-mail address

 -- Julian Andres Klode <jak@debian.org>  Thu, 28 Jan 2010 17:21:50 +0100

ndisgtk (0.8.4-1) unstable; urgency=low

  * New upstream bugfix/translation release
    - Display an error message if the module could not be loaded,
      and ask the user to verify the installation. (Closes: #500637)
    - Display an error message if no network configuration tool could
      be found (LP: #256263)

 -- Julian Andres Klode <jak@jak-linux.org>  Thu, 02 Oct 2008 17:58:30 +0200

ndisgtk (0.8.3-1) unstable; urgency=low

  * New upstream bugfix release
    - Fix removal of installed drivers (LP: #108656)
    - Use gksu/kdesu in desktop files
  * debian/rules:
    - Use su-to-root only if /etc/lsb-release does not exist or does not
      contain Ubuntu (Ubuntu has a /etc/lsb-release in base-files)

 -- Julian Andres Klode <jak@jak-linux.org>  Fri, 28 Mar 2008 22:43:04 +0100

ndisgtk (0.8.2-1) unstable; urgency=low

  * New upstream release
    - Install icons into /usr/share/icons/hicolor/48x48/apps
    - Load icons from active icon theme
  * Fix spelling-error-in-description GTK GTK+

 -- Julian Andres Klode <jak@jak-linux.org>  Thu, 21 Feb 2008 19:35:03 +0100

ndisgtk (0.8.1-2) unstable; urgency=low

  * debian/rules: Call dh_icons to update icon cache
  * debian/control:
    - Don't use XS- prefix for Dm-Upload-Allowed
    - Build-Depend on debhelper (>= 5.0.51) for dh_icons

 -- Julian Andres Klode <jak@jak-linux.org>  Fri, 15 Feb 2008 15:00:50 +0100

ndisgtk (0.8.1-1) unstable; urgency=low

  * New upstream releases 0.8.0 and 0.8.1
    - Added many new translations
    - Add support for spaces in filename (LP: #133623)
    - Use ndiswrapper -ma instead of ndiswrapper -m (LP: #138852) and reload
      the module after installation
    - Use Special icon for invalid drivers
  * debian/menu: Fix menu file
  * debian/rules: Do not ignore make clean errors
  * debian/copyright:
    - Update the copyright years
    - Use proposed format: http://wiki.debian.org/Proposals/CopyrightFormat
  * debian/control:
    - Add Homepage, VCS and XS-DM-Upload-Allowed
    - Upgrade to policy 3.7.3

 -- Julian Andres Klode <jak@jak-linux.org>  Fri, 04 Jan 2008 23:04:11 +0100

ndisgtk (0.7.2-1) unstable; urgency=low

  * New release
    - show the driver list if only invalid drivers are installed
    - update german translation

 -- Julian Andres Klode <jak@jak-linux.org>  Fri,  8 Jun 2007 12:36:06 +0200

ndisgtk (0.7.1-3) unstable; urgency=low

  * Build with Binary-arch instead of binary-indep

 -- Julian Andres Klode <jak@jak-linux.org>  Fri,  1 Jun 2007 20:31:43 +0200

ndisgtk (0.7.1-2) unstable; urgency=low

  * Architecture: i386 amd64 instead of Architecture: all
  * Changed URL to jak-linux.org project page

 -- Julian Andres Klode <jak@jak-linux.org>  Fri,  1 Jun 2007 18:47:25 +0200

ndisgtk (0.7.1-1) unstable; urgency=low

  * New Release
    - Closes: LP#108656 (ndisgtk can't remove installed driver)
    - Closes: LP#93808 (ndisgtk can't configure wireless network in kde)
    - List invalid drivers and allow their removal
  * Packaging
    - Depend on menu, as we use su-to-root outside of menu
    - Depend only on the first of ndiswrapper-utils-1.9 | ndiswrapper-utils-1.1

 -- Julian Andres Klode <jak@debian.local>  Wed, 16 May 2007 17:49:59 +0200

ndisgtk (0.7-1) unstable; urgency=low

  * I am the new upstream
  * Initial Release for Debian (Closes: #423605)
  * New Release
    - po/Makefile: Install mo files to ndisgtk.mo
    - po/de.po: Add German Localization
    - ndisgtk: Add Support for newer ndiswrapper versions like 1.43
    - Makefile: Install icon to /usr/share/icons and ndisgtk to /usr/sbin
  * Packaging
    - Standards-Version: 3.7.2
    - Debhelper 5
    - Depend on ndiswrapper-utils-1.1 | ndiswrapper-utils-1.9 instead of
      ndiswrapper-utils
    - debian/rules: Remove unneeded dh_* lines
    - debian/control: Add XS-VCS-*

 -- Julian Andres Klode <jak@jak-linux.org>  Sun, 13 May 2007 21:57:40 +0200

ndisgtk (0.6-0ubuntu1) dapper; urgency=low

  * New upstream release
     - Added support for i18n
     - French translation by Martin Courtemanche
     - Added KDE network config support (--kde option)
  * Changed python-gnome2 to python-gtk2 in dependencies
  * Added python-glade2 to dependencies

 -- Sam Pohlenz <retrix@internode.on.net>  Wed,  7 Dec 2005 21:12:59 +1030

ndisgtk (0.5-1ubuntu1) breezy; urgency=low

  * upload for Sam Pohlenz <retrix@internode.on.net> SoC project

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 22 Aug 2005 17:52:47 +0200

ndisgtk (0.5-1) breezy; urgency=low

  * New upstream release
  * Updated standards version to 3.6.2
  * Added man page

 -- Sam Pohlenz <retrix@internode.on.net>  Mon, 22 Aug 2005 20:42:30 +0930

ndisgtk (0.4-1) hoary; urgency=low

  * New upstream release

 -- Sam Pohlenz <retrix@internode.on.net>  Thu, 18 Aug 2005 20:10:56 +0930

ndisgtk (0.3-1) hoary; urgency=low

  * New upstream release
  * Set architecture to all
  * Changed section to net

 -- Sam Pohlenz <retrix@internode.on.net>  Tue,  9 Aug 2005 20:55:25 +0930

ndisgtk (0.2-0ubuntu1) hoary; urgency=low

  * Initial Release.

 -- Sam Pohlenz <retrix@internode.on.net>  Mon, 25 Jul 2005 23:01:39 +0930

=== debian/control ===
Source: ndisgtk
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Julian Andres Klode <jak@debian.org>
Build-Depends: debhelper (>= 9), gettext, intltool, python3
Standards-Version: 3.9.3
Homepage: http://jak-linux.org/projects/ndisgtk/
VCS-Bzr: http://bazaar.launchpad.net/~juliank/ndisgtk/trunk
VCS-Browser: http://codebrowse.launchpad.net/~juliank/ndisgtk/trunk

Package: ndisgtk
Architecture: i386 amd64
Depends: ${misc:Depends}, ${distro:Depends}, ndiswrapper-utils-1.9, ${python3:Depends}, python3-gi, gir1.2-gtk-3.0
Description: graphical frontend for ndiswrapper (installation of Windows WiFi drivers)
 ndisgtk is a GTK+ based frontend for ndiswrapper, allowing an easy way to
 install Windows wireless drivers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Check for DISTRIB_ID in /etc/lsb-release. Ignore Errors. Empty on Debian,
# contains Ubuntu on Ubuntu systems
DISTRO := $(shell sed -n 's/DISTRIB_ID=\(.*\)/\1/p' /etc/lsb-release 2>/dev/null)

ifneq ($(DISTRO), Ubuntu)
	EXTRA = menu
endif

%:
	dh $@ --with python3

override_dh_auto_install:
	dh_auto_install
	# Use su-to-root on non-Ubuntu systems
	@if [ "$(DISTRO)" != "Ubuntu" ]; then \
		echo Using su-to-root in desktop files; \
		sed  -i 's:Exec=\(kdesu\|gksu\) \(.*\):Exec=su-to-root -X -c "\2":' \
		$(CURDIR)/debian/ndisgtk/usr/share/applications/*.desktop; \
	fi

override_dh_gencontrol:
	dh_gencontrol -u -V"distro:Depends=$(EXTRA)"
